Credit Card Bill Payment

This API is used to process credit card bill payment requests. The Credit+ Issuing system receives, validates and processes the request. If the request is successful, the cardholder will receive the bill payment message in response. If the request fails, the system returns the corresponding error code.
The system sends the successful response only if the request message passes on all input parameters and the payment transaction is processed successfully.
A failure response is sent if any of the request message parameters fail in validation/pre-screening checks. Further, it is also sent if all the request message parameter validation are successful; however, the payment transaction couldn't be processed successfully.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
201000Request processed successfully
400997Payment Transaction Request failed: invalid request
403900Invalid User
404998Device(s) does not exist
500999Invalid Request Type
400997Form Factor Type field is mandatory.
400997Form Factor Type field is invalid.
400997Form Factor field is mandatory.
400997Form Factorfield should be numeric for Form Factor Type 'CRD'.
400997Form Factor field should be alphanumeric and without space for Form Factor Type 'ACT'.
400997Transaction Type field is mandatory.
400997Transaction Type field is invalid.
400997Transaction Code field is mandatory.
400997Transaction Code field is invalid.
400997Transaction Amount field is mandatory.
400997Transaction Amount field must be a positive value with maximum scale 14 integers and precision 7 fractions.
400997Transaction Currency industry standard code is mandatory.
400997Transaction Currency field value must have max length 3.
400997Transaction Reference Number field is mandatory.
400997Transaction Reference Number field is not allowed for Transaction Type Original.
400997MICR Code field should be numeric.
400997Cheque Number field is mandatory.
400997Cheque Number field value must have size 6.
400997Cheque Number field should be numeric.
400997Cheque Date field is mandatory.
400997Cheque Date field must be in dd-MM-YYYY format.
400997Cheque Return Reason Code field is mandatory.
400997Value Date field is mandatory.
400997Value Date field must be in dd-MM-YYYY format.
400997OTB Release Date field is mandatory.
400997OTB Release Date field must be in dd-MM-YYYY format.
500999Invalid device number.
500TRAN003Invalid Wallet number.
500TRAN004Error while fetching Wallet details.
500TRAN001Transaction notset in Transaction Plan.
500TRAN002Transaction limit plan not attached.
500TRAN005Transaction Reference number is mandatory in case of reversal.
500TRAN006Cheque return reason is mandatory for Outstation cheque payment/cheque payment reversal.
500TRAN007Invalid Cheque return reason.
500TRAN011OTB release date should not be greater than transaction date.
500PAY36Reversal already exists for Chq.No.
500PAY37Original Record not found for Chq.No.
500PAY38Error while saving details for Chq.No.
500TRAN008Error while executing Transaction Payment API
500TRAN020Invalid Transaction currency.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required
length ≤ 2

Transaction Code. Must be 53 (Internet Payment/Reversal), 54 (Fund Transfer/Reversal), 55 (Phone Banking Payment/Reversal), 56 (ECS Payment/Reversal), 57 (Outstation Cheque Payment/Reversal), 58 (DD Payment/Reversal), 59 (Cash Payment/Reversal), or 61 (CHQ Payment/Reversal). Maximum length: 2.

string
enum
required
length ≤ 3

Identifies if it is card number or account number. Must be CRD (Card Number) or ACT (Account Number). Not NULL. Maximum length: 3.

Allowed:
string
required
length ≤ 24

Card number if formFactorType is CRD, or account number if formFactorType is ACT. Numeric for CRD, alphanumeric without space for ACT. Maximum length: 24.

string
enum
required
length ≤ 1

Transaction Type. Must be O (Original Transaction) or R (Reversal Transaction). Maximum length: 1.

Allowed:
string
required
^[0-9]{1,14}(\.[0-9]{1,7})?$

Total payment amount decimalized as per currency exponent. Maximum length (14,7).

string
required
length ≤ 3
^[0-9]{3}$

Numeric ISO currency code in which the transaction was done. Maximum length: 3.

string
^[0-9]{2}-[0-9]{2}-[0-9]{4}$

The date on which the transaction was captured or initiated. Format: DD-MM-YYYY.

string
required
^[0-9]{2}-[0-9]{2}-[0-9]{4}$

Posted to Account date when the payment will be posted to the Cardholder's account. Format: DD-MM-YYYY.

string
required
^[0-9]{2}-[0-9]{2}-[0-9]{4}$

The date on which the applicable Open-to-Buy (OTB) amount will be released from the cardholder's account for further usage. Format: DD-MM-YYYY.

string
length ≤ 23

Acquirer Reference Number (ARN). Must be present for reversal transactions when transactionType is R. Maximum length: 23.

string
length ≤ 12

Payment reference number maintained by the bank at their end. Maximum length: 12.

string
length ≤ 6
^[0-9]{6}$

Cheque Number for local and outstation cheque. Must be present if transactionCode is 57 or 61. Maximum length: 6.

string
^[0-9]{2}-[0-9]{2}-[0-9]{4}$

Cheque Date. Must be present if transactionCode is 57 or 61. Format: DD-MM-YYYY.

string
length ≤ 9
^[0-9]{1,9}$

MICR code mentioned on outstation or local cheque. Maximum length: 9.

string
length ≤ 50

Bank name mentioned on outstation or local cheque. Maximum length: 50.

string
length ≤ 15

Bank branch mentioned on outstation or local cheque. Maximum length: 15.

string
length ≤ 3

Cheque return reason code indicating reasons for bounced/returned cheques by clearing house or bank’s system. Must be present for reversal transactions when transactionType is R and transactionCode is 57 or 61. Maximum length: 3.

string
length ≤ 40

Any free text that requestor may want to send for logging purpose. Maximum length: 40.

string
length ≤ 10

Accessing Channel. Maximum length: 10.

Headers
string
^[a-zA-Z0-9-]{1,50}$

API Consumer must share a Correlation-ID in the HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string

API Consumer can share Source in the HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json